from pathlib import Path

root = Path.home() / 'model-server' / 'testing'

filename = 'D3-selection-01.czi'
czifile = {
    'filename': filename,
    'path': root / filename,
    'w': 1274,
    'h': 1274,
    'c': 5,
    'z': 1,
    'um_per_pixel': 1/3.9881,
}

filename = 'rgb.png'
rgbpngfile = {
    'filename': filename,
    'path': root / filename,
    'w': 64,
    'h': 128,
    'c': 3,
    'z': 1
}

filename = 'mono.png'
monopngfile = {
    'filename': filename,
    'path': root / filename,
    'w': 64,
    'h': 128,
    'c': 1,
    'z': 1
}

filename = 'zmask-test-stack.tif'
tifffile = {
    'filename': filename,
    'path': root / filename,
    'w': 512,
    'h': 512,
    'c': 2,
    'z': 7,
}

filename = 'mono_zstack_mask.tif'
monozstackmask = {
    'filename': filename,
    'path': root / filename,
    'w': 256,
    'h': 256,
    'c': 1,
    'z': 85
}

ilastik = {
    'pixel_classifier': 'demo_px.ilp',
    'object_classifier': 'demo_obj.ilp',
}

output_path = root / 'testing_output'
output_path.mkdir(parents=True, exist_ok=True)